      DIMENSION TA(3),HEADER(2),NCA(2)                                          
      REAL*8 NA(1)                                                              
      INTEGER NUMBER                                                            
      DATA NA/'        '/                                                       
C                                                                               
C  READ AND PRINT THE SURFACE SAMPLING DATA FROM THE WEDDELL                    
C  POLYNYA EXPEDITION -- (NDP028.SUR)
C  TOTALK=TOTAL ALKALINITY FROM POTENTIOMETRIC TITRATION                        
C  TA=TOTAL ALKALINITY FROM SINGLE-POINT TITRATION                              
C                                                                               
  1    CONTINUE                                                                 
      READ(5,10,END=99) MONTH,DAY,SAMPLE,TIME,LATDEG,LATMIN,LATDIR,             
     1  LONDEG,LONMIN,LONDIR,SALIN,TEMP,PH,TOTALK,TA                            
10    FORMAT(I2,1X,I2,A1,1X,I4,1X,I2,1X,I2,A1,1X,I2,1X,I2,A1,                   
     1  4X,F6.3,5X,F5.2,3X,F5.3,2X,I4,1X,3A4)                                   
      WRITE(6,15) MONTH,DAY,SAMPLE,TIME,LATDEG,LATMIN,LATDIR,LONDEG,            
     1  LONMIN,LONDIR,SALIN,TEMP,PH,TOTALK,TA                                   
15    FORMAT(1X,I2,'/',I2,A1,1X,I4,1X,I2,1X,I2,A1,1X,I2,1X,I2,A1,               
     1  4X,F6.3,4X,F5.2,4X,F5.3,2X,I4,2X,3A4)                                   
      GO TO 1                                                                   
 99   CONTINUE                                                                  
      WRITE(6,25)                                                               
 25   FORMAT(///)                                                               
C                                                                               
C  READ AND PRINT THE VERTICAL STATION DATA FROM THE WEDDELL                    
C  POLYNYA EXPEDITION -- (NDP028.VER)
C                                                                               
  2   CONTINUE                                                                  
      READ(5,100) HEADER,NUMBER                                                 
100   FORMAT(A4,A3,1X,I2)                                                       
      WRITE(6,101) HEADER,NUMBER                                                
101   FORMAT(/,1X,A4,A3,1X,I2)                                                  
C                                                                               
C   READ AND WRITE THE STARTING COORDINATES                                     
C                                                                               
      READ(5,105) SLATDG,SLATMN,SLATDR,SLONDG,SLONMN,SLONDR,LTIME,              
     1  YEAR,MON,DAYS                                                           
105   FORMAT(1X,I2,1X,F5.2,A1,1X,I2,1X,F5.2,A1,1X,I4,1X,I2,1X,I2,1X,I2)         
      WRITE(6,106) SLATDG,SLATMN,SLATDR,SLONDG,SLONMN,SLONDR,LTIME,             
     1  MON,DAYS,YEAR                                                           
106   FORMAT(1X,I2,1X,F5.2,A1,1X,I2,1X,F5.2,A1,1X,I4,1X,I2,'/',I2,'/',          
     1 I2)                                                                      
C                                                                               
C   READ AND WRITE THE ENDING COORDINATES                                       
C                                                                               
      READ(5,200) ELATDG,ELATMN,ELATDR,ELONDG,ELONMN,ELONDR,ETIME               
200   FORMAT(1X,I2,1X,F5.2,A1,1X,I2,1X,F5.2,A1,1X,I4)                           
      WRITE(6,201) ELATDG,ELATMN,ELATDR,ELONDG,ELONMN,ELONDR,ETIME              
201   FORMAT(1X,I2,1X,F5.2,A1,1X,I2,1X,F5.2,A1,1X,I4)                           
C                                                                               
C   READ AND WRITE THE WEDDELL SEA CARBONATE CHEMISTRY DATA                     
C   FROM THE VERTICAL STATIONS                                                  
C                                                                               
  3   CONTINUE                                                                  
      READ(5,205,END=89) DEPTH,FLAG,TEM,SALNTY,PHH,TALK,(NCA(I),I=1,2)          
205   FORMAT(I4,A1,3X,F6.3,3X,F6.3,4X,F5.3,5X,I4,2X,2A4)                        
C                                                                               
C   IF THE PROGRAM HAS REACHED THE BLANK LINE SEPARATING STATIONS,              
C   SKIP TO THE TOP OF THE PROGRAM TO READ THE NEXT HEADER RECORD               
C                                                                               
      IF (SALNTY .EQ. 0) GO TO 2                                                
C                                                                               
C    IF CALCIUM WAS NOT MEASURED FOR A STATION, SET THE VALUE                   
C    OF THE VARIABLE NCA AS BLANK INSTEAD OF PRINTING IT AS ZERO                
C                                                                               
      IF (NCA(I) .EQ. 0) NCA(I)=NA(1)                                           
      WRITE(6,206) DEPTH,FLAG,TEM,SALNTY,PHH,TALK,(NCA(I),I=1,2)                
206   FORMAT(1X,I4,A1,3X,F6.3,3X,F6.3,4X,F5.3,5X,I4,4X,2A4)                     
      GO TO 3                                                                   
 89   CONTINUE                                                                  
      STOP                                                                      
      END                                                                       
